Package org.apache.ignite.internal.management.api

## Annotation Type EnumDescription

    @Retention(RUNTIME)
    @Target(FIELD)
    public @interface EnumDescription

Annotation clarifies enum values in command arguments if required.

### Required Element Summary

Required Elements
`String[]` `descriptions`
`String[]` `names`

### Element Detail

#### names

    String[] names

Returns:
  Names of enum constants.

#### descriptions

    String[] descriptions

Returns:
  Description of each enum constant.